Alembic Version 1.1

Public Member Functions | List of all members
Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::ReadArchive Class Reference

`#include <Read.h>`

## Public Member Functions
| ReadArchive ()
Alembic::AbcCoreAbstract::ArchiveReaderPtr | operator() (ArchiveReaderPtrs &) const

## Detailed Description

Will return a shared pointer to the archive reader This version creates a cache associated with the archive.

Definition at line 51 of file Read.h.

## Constructor & Destructor Documentation

## ◆ ReadArchive()

Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::ReadArchive::ReadArchive | ( |  | ) |

## Member Function Documentation

## ◆ operator()()

Alembic::AbcCoreAbstract::ArchiveReaderPtr Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::ReadArchive::operator() | ( | ArchiveReaderPtrs & |  | ) | const

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/AbcCoreLayer/Read.h